Bug 786071 - Review Request: ghc-feldspar-language - Functional Embedded Language for DSP and PARallelism
Review Request: ghc-feldspar-language - Functional Embedded Language for DSP ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
: 713359 (view as bug list)
Depends On:
Blocks: 713359
  Show dependency treegraph
 
Reported: 2012-01-31 06:05 EST by Shakthi Kannan
Modified: 2013-06-24 06:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-01-31 06:05:53 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-feldspar-language.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-feldspar-language-0.4.0.2-1.fc15.src.rpm
Description: Feldspar (Functional Embedded Language for DSP and PARallelism) is an embedded DSL for describing digital signal processing algorithms. This package contains the language front-end and an interpreter
Comment 1 Shakthi Kannan 2012-01-31 06:12:37 EST
Successful Koji builds for F15, F16 and F17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3747890
http://koji.fedoraproject.org/koji/taskinfo?taskID=3747891
http://koji.fedoraproject.org/koji/taskinfo?taskID=3747896

$  rpmlint ghc-feldspar-language.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-0.4.0.2-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-0.4.0.2-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-devel-0.4.0.2-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Jens Petersen 2012-01-31 19:59:34 EST
I recommend using cabal2spec-0.25.2 now.
Comment 3 Shakthi Kannan 2012-02-01 04:19:54 EST
Updated to use cabal2spec-0.25.2:

SPEC: http://shakthimaan.fedorapeople.org/SPECS/ghc-feldspar-language.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/ghc-feldspar-language-0.4.0.2-2.fc15.src.rpm

Successful Koji builds for F15, F16, and F17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3751303
http://koji.fedoraproject.org/koji/taskinfo?taskID=3751306
http://koji.fedoraproject.org/koji/taskinfo?taskID=3751309

$  rpmlint ghc-feldspar-language.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-0.4.0.2-2.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-0.4.0.2-2.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-feldspar-language-devel-0.4.0.2-2.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Jens Petersen 2012-02-27 00:53:59 EST
For reference, https://bugzilla.redhat.com/show_bug.cgi?id=612076 is the original review.
Comment 5 Jens Petersen 2012-02-27 04:04:47 EST
You can simplify the BRs like this:

-BuildRequires:  ghc-QuickCheck ghc-QuickCheck-devel ghc-QuickCheck-prof
-BuildRequires:  ghc-random ghc-random-devel ghc
-BuildRequires:  ghc-mtl ghc-mtl-devel ghc-mtl-prof
-BuildRequires:  ghc-tagged ghc-tagged-devel
-BuildRequires:  ghc-type-level-devel ghc-type-level-prof
+BuildRequires:  ghc-QuickCheck-prof
+BuildRequires:  ghc-mtl-prof
+BuildRequires:  ghc-tagged-prof
+BuildRequires:  ghc-type-level-prof

BR ghc-*-devel is probably good enough for F16
but F15 still has some ghc-*-prof packages left
so safest to keep using ghc-*-prof until F15 is EOL
and EPEL6 packages have been updated to current packaging.
Comment 6 Jens Petersen 2012-03-07 02:45:03 EST
I think we can do this review based on pkg git since it is already there.
So how about updating the master branch and then we can continue the review?
Comment 7 Jens Petersen 2012-04-16 00:07:18 EDT
> -BuildRequires:  ghc-QuickCheck ghc-QuickCheck-devel ghc-QuickCheck-prof
> -BuildRequires:  ghc-random ghc-random-devel ghc
> -BuildRequires:  ghc-mtl ghc-mtl-devel ghc-mtl-prof
> -BuildRequires:  ghc-tagged ghc-tagged-devel
> -BuildRequires:  ghc-type-level-devel ghc-type-level-prof
> +BuildRequires:  ghc-QuickCheck-prof
> +BuildRequires:  ghc-mtl-prof
> +BuildRequires:  ghc-tagged-prof
> +BuildRequires:  ghc-type-level-prof

BTW I am not just nitpicking here: the package in its current
state will fail to build on secondary archs since they do not
have ghc-<libpkg> binary packages only ghc-<libpkg>-devel.
Comment 8 Jens Petersen 2012-04-16 00:09:28 EDT
Also noting that tagged has been updated to 0.4 in f17 and f18,
possible prematurely - which was not noticed since feldspar is not
there now...

Would be good to test if feldspar-language can be easily patched
to build with tagged-0.4.*.
Comment 9 Jens Petersen 2012-04-28 05:15:30 EDT
*** Bug 713359 has been marked as a duplicate of this bug. ***
Comment 10 Jens Petersen 2012-09-13 06:37:08 EDT
Let us know when it is ready - I can come back to review this
if someone doesn't beat me to it. :)
Comment 11 Shakthi Kannan 2012-09-14 03:18:54 EDT
A new 0.5.0.1 release is available, but, it has few dependencies that need to be packaged for Fedora. 

Will work on getting the dependencies available first, and will resubmit the latest package for review.
Comment 12 Jens Petersen 2013-06-24 06:25:33 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.